Bug 1071583 - python-pyspf should depend on python-ipaddr
Summary: python-pyspf should depend on python-ipaddr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pyspf
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-01 23:22 UTC by Anssi Johansson
Modified: 2014-03-17 22:34 UTC (History)
1 user (show)

Fixed In Version: python-pyspf-2.0.8-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-17 22:34:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Anssi Johansson 2014-03-01 23:22:36 UTC
Description of problem:
python-pyspf should pull in python-ipaddr as a dependency.

Version-Release number of selected component (if applicable):
python-pyspf-2.0.8-1.el6.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. yum install python-pyspf
2. spfquery --ip 4.4.4.4 --sender a@email.com --helo aserver.email.com

Actual results:
# spfquery --ip 4.4.4.4 --sender a@email.com --helo aserver.email.com
ipaddr module required: http://code.google.com/p/ipaddr-py/
Traceback (most recent call last):
  File "/usr/bin/spfquery", line 136, in <module>
    main(sys.argv[1:])
  File "/usr/bin/spfquery", line 117, in main
    q = spf.query(opts.ip,opts.sender,opts.hello_name,local=opts.local_policy)
  File "/usr/lib/python2.6/site-packages/spf.py", line 442, in __init__
    self.set_ip(i)
  File "/usr/lib/python2.6/site-packages/spf.py", line 469, in set_ip
    self.ipaddr = ipaddress.ip_address(i)
NameError: global name 'ipaddress' is not defined

Expected results:
# spfquery --ip 4.4.4.4 --sender a@email.com --helo aserver.email.com
none

('spfquery:', '4.4.4.4 is neither permitted nor denied by domain of email.com')
('Received-SPF:', 'None (spfquery: 4.4.4.4 is neither permitted nor denied by domain of email.com) client-ip=4.4.4.4; envelope-from="a@email.com"; helo=aserver.email.com; receiver=spfquery; identity=mailfrom')

Additional info:
Installing python-ipaddr-2.1.9-3.el6.noarch fixes this problem.

Comment 1 Fedora Update System 2014-03-02 11:33:29 UTC
python-pyspf-2.0.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pyspf-2.0.8-2.el6

Comment 2 Fedora Update System 2014-03-02 19:24:53 UTC
Package python-pyspf-2.0.8-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-pyspf-2.0.8-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0722/python-pyspf-2.0.8-2.el6
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-03-17 22:34:11 UTC
python-pyspf-2.0.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.